import sitemap from "@astrojs/sitemap";
import tailwind from "@astrojs/tailwind";
import remarkCallout from "@r4ai/remark-callout";
import umami from "@yeskunall/astro-umami";
import { defineConfig } from "astro/config";

export default defineConfig({
	site: "https://blog.z0x.ca",
	integrations: [
		tailwind({
			nesting: true,
		}),
		umami({
			id: "b691181e-cad7-4c23-b16a-709872a0a7ab",
			endpointUrl: "https://umami.z0x.ca",
		}),
		sitemap(),
	],
	markdown: {
		shikiConfig: {
			theme: "css-variables",
		},
		remarkPlugins: [remarkCallout],
	},
});
